import request from '@/utils/request'

// 查询试卷题库主列表
export function listQuestionBankTestPaper(query) {
  return request({
    url: '/school-paper/questionBankTestPaper/list',
    method: 'get',
    params: query
  })
}

// 查询试卷题库主详细
export function getQuestionBankTestPaper(id) {
  return request({
    url: '/school-paper/questionBankTestPaper/' + id,
    method: 'get'
  })
}

// 新增试卷题库主
export function addQuestionBankTestPaper(data) {
  return request({
    url: '/school-paper/questionBankTestPaper',
    method: 'post',
    data: data
  })
}

// 修改试卷题库主
export function updateQuestionBankTestPaper(data) {
  return request({
    url: '/school-paper/questionBankTestPaper',
    method: 'put',
    data: data
  })
}

// 删除试卷题库主
export function delQuestionBankTestPaper(id) {
  return request({
    url: '/school-paper/questionBankTestPaper/' + id,
    method: 'delete'
  })
}
